Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.deployment.scanner
Interface URLDirectoryScannerMBean

All Superinterfaces:
  DeploymentScannerMBean, Service, ServiceMBean

All Known Implementing Classes:
  URLDirectoryScanner

public interface URLDirectoryScannerMBean
extends DeploymentScannerMBean

MBean interface.

See Also:
  `org.jboss.deployment.scanner.URLDeploymentScanner). It is designed to deploy direct URLs and to scan directories. The distinction between the two is that this class forces the user to specify which entries are directories to scan, and which are urls to deploy.`

Field Summary

Fields inherited from interface org.jboss.system.ServiceMBean
`CREATE_EVENT, CREATED, DESTROY_EVENT, DESTROYED, FAILED, REGISTERED, START_EVENT, STARTED, STARTING, states, STOP_EVENT, STOPPED, STOPPING, UNREGISTERED`

Method Summary
`void` | `addScanDir(String urlSpec, String compClassName, String filterClassName)`
`void` | `addScanDir(URL url, Comparator comp, FileFilter filter)`
`void` | `addScanURL(String url)`
`void` | `addScanURL(URL url)`
`String` | `getFilter()`
`String` | `getURLComparator()`
`void` | `removeScanURL(URL url)`
`void` | `scan()` Scan for deployment changes.
`void` | `setFilter(String filterClassName)`
`void` | `setURLComparator(String comparatorClassName)`
`void` | `setURLs(Element elem)`

Methods inherited from interface org.jboss.deployment.scanner.DeploymentScannerMBean
`getDeployer, isScanEnabled, setDeployer, setScanEnabled, setScanPeriod`

Methods inherited from interface org.jboss.system.ServiceMBean
`getName, getState, getStateString, jbossInternalLifecycle`

Methods inherited from interface org.jboss.system.Service
`create, destroy, start, stop`

Method Detail

### addScanURL

    public void addScanURL(URL url)

### addScanURL

    public void addScanURL(String url)
                    throws MalformedURLException

  Throws:
    `MalformedURLException`

### addScanDir

    public void addScanDir(URL url,
                           Comparator comp,
                           FileFilter filter)

### addScanDir

    public void addScanDir(String urlSpec,
                           String compClassName,
                           String filterClassName)
                    throws MalformedURLException

  Throws:
    `MalformedURLException`

### removeScanURL

    public void removeScanURL(URL url)

### setURLs

    public void setURLs(Element elem)

### setURLComparator

    public void setURLComparator(String comparatorClassName)

### getURLComparator

    public String getURLComparator()

### setFilter

    public void setFilter(String filterClassName)

### getFilter

    public String getFilter()

### scan

    public void scan()

  Description copied from interface: `DeploymentScannerMBean`
  Scan for deployment changes.

  Specified by:
    `scan` in interface `DeploymentScannerMBean`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.